﻿Imports System.Drawing.Drawing2D
Public Class frmGradients
    Private Sub bttnGradientText_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles bttnGradientText.Click
        Dim G As Graphics
        G = Me.CreateGraphics
        G.Clear(Me.BackColor)
        G.TextRenderingHint = System.Drawing.Text.TextRenderingHint.AntiAlias
        Dim largeFont As New Font("Comic Sans MS", 48, FontStyle.Bold, GraphicsUnit.Point)
        Dim gradientStart As New PointF(0, 0)
        Dim txt As String = "Gradient Text"
        Dim txtSize As New SizeF()
        txtSize = G.MeasureString(txt, largeFont)
        Dim gradientEnd As New PointF()
        gradientEnd.X = txtSize.Width
        gradientEnd.Y = txtSize.Height
        Dim grBrush As New LinearGradientBrush(gradientStart, _
                        gradientEnd, Color.Yellow, Color.Blue)
        G.DrawString(txt, largeFont, grBrush, 20, 20)
    End Sub

    Private Sub bttnPathGradient_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles bttnPathGradient.Click
        Dim G As Graphics
        G = Me.CreateGraphics
        G.Clear(Me.BackColor)
        Dim path As New GraphicsPath()
        path.AddLine(New Point(10, 10), New Point(400, 10))
        path.AddLine(New Point(400, 10), New Point(400, 250))
        path.AddLine(New Point(400, 250), New Point(10, 250))
        Dim pathBrush As New PathGradientBrush(path)
        Dim centerColor As Color = Color.Red
        Dim surroundColors() As Color = {Color.Yellow, Color.Green, Color.Blue, Color.Cyan}

        pathBrush.CenterColor = centerColor
        pathBrush.SurroundColors = surroundColors

        G.FillPath(pathBrush, path)
    End Sub

    Private Sub bttnAnimatedGradient_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles bttnAnimatedGradient.Click
        Dim G As Graphics
        G = Me.CreateGraphics
        G.Clear(Me.BackColor)
        Dim path As New GraphicsPath()
        path.AddRectangle(New Rectangle(10, 10, 400, 100))

        Dim pathBrush As New PathGradientBrush(path)
        Dim centerColor As Color = Color.Silver
        Dim surroundColors() As Color = {Color.Black, Color.Black, Color.Black, Color.Black}
        Dim colorCount As Integer = 1

        pathBrush.CenterColor = centerColor
        pathBrush.SurroundColors = surroundColors
        Dim i As Double
        For i = 0 To 100
            pathBrush.CenterPoint = New PointF(200, i)
            G.FillPath(pathBrush, path)
        Next

        For i = 0 To 400
            pathBrush.CenterPoint = New PointF(i, 50)
            G.FillPath(pathBrush, path)
        Next

    End Sub

    Private Sub bttnRectangleGradient_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles bttnRectangleGradient.Click
        Dim G As Graphics
        G = Me.CreateGraphics
        G.Clear(Me.BackColor)
        Dim path As New GraphicsPath()
        path.AddRectangle(New Rectangle(20, 20, 550, 200))
        Dim pathBrush As New PathGradientBrush(path)
        Dim centerColor As Color = Color.LightYellow
        Dim surroundColors() As Color = {Color.SteelBlue}
        pathBrush.CenterColor = centerColor
        pathBrush.SurroundColors = surroundColors
        G.FillPath(pathBrush, path)
    End Sub

    Private Sub bttnLinearGradient_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles bttnDiagGradient.Click
        Dim G As Graphics
        G = Me.CreateGraphics
        G.Clear(Me.BackColor)
        Dim path As New GraphicsPath()
        path.AddRectangle(New Rectangle(20, 20, 550, 200))
        Dim lBrush As New LinearGradientBrush(New RectangleF(20, 20, 550, 200), Color.Beige, Color.Purple, System.Drawing.Drawing2D.LinearGradientMode.ForwardDiagonal)
        G.FillPath(lBrush, path)
    End Sub


    Private Sub LinearGradient_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles bttnLinearGradient.Click
        Dim G As Graphics
        G = Me.CreateGraphics
        G.Clear(Me.BackColor)
        Dim R As New RectangleF(20, 20, 300, 100)
        Dim startColor As Color = Color.BlueViolet
        Dim EndColor As Color = Color.LightYellow
        Dim LGBrush As New LinearGradientBrush(R, startColor, EndColor, LinearGradientMode.Horizontal)
        G.FillRectangle(LGBrush, New Rectangle(20, 20, 200, 100))
        G.FillRectangle(LGBrush, New Rectangle(20, 150, 600, 100))
    End Sub
End Class
